Delete an entire vault project and all its contents
curl --request DELETE \
--url https://api.harvey.ai/api/v1/vault/delete_project/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/vault/delete_project/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/vault/delete_project/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Project deletion is in progress"
}{
"error": "Cannot delete example projects"
}{
"error": "Project deletion partially failed due to processing conflicts",
"details": {
"failed_folders": 123,
"failed_files": 123
}
}Vault
Delete an entire vault project and all its contents
DELETE
/
api
/
v1
/
vault
/
delete_project
/
{project_id}
Delete an entire vault project and all its contents
Permissions
RequiresVault API and Modify workspace projects permissions.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the project to delete
Response
Project deletion accepted. Deletion continues asynchronously after the API request returns.
Deletion status message.
Example:
"Project deletion is in progress"
⌘I